package holo.bolt.world.map.tile;

import holo.bolt.entity.Entity;
import holo.bolt.render.Render;
import holo.bolt.render.TileRender;

public class TileFloor extends Tile
{
	public TileFloor(float[] position)
	{
		super(position);
	}

	@Override
	public int getTileID()
	{
		return 0;
	}

	@Override
	public boolean collidable()
	{
		return false;
	}

	@Override
	public Render getRenderer()
	{
		return new TileRender(this);
	}

	@Override
	public String textureLoc()
	{
		return "res/Floor.png";
	}

	@Override
	public void onCollideWithEntity(Entity entity)
	{
		
	}
}